aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorJoel Galenson <jgalenson@google.com>2020-07-28 13:45:19 -0700
committerJoel Galenson <jgalenson@google.com>2020-07-28 13:45:19 -0700
commitddfee16c0a95c04d30bb80135457bed71dc4b71b (patch)
treeef7ed8a3171cf1906670f6b9fcbf20ef2660852a /scripts
parent46d109f968cc3f3d988a0ac7d8b9e0696a29084e (diff)
downloadsmallvec-ddfee16c0a95c04d30bb80135457bed71dc4b71b.tar.gz
Import smallvec-1.4.0
Change-Id: I88441e5cd5fd487e273152f2b28461529b1f368c
Diffstat (limited to 'scripts')
-rw-r--r--scripts/run_miri.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/run_miri.sh b/scripts/run_miri.sh
new file mode 100644
index 0000000..817928a
--- /dev/null
+++ b/scripts/run_miri.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/bash
+
+set -ex
+
+# Clean out our target dir, which may have artifacts compiled by a version of
+# rust different from the one we're about to download.
+cargo clean
+
+# Install and run the latest version of nightly where miri built successfully.
+# Taken from: https://github.com/rust-lang/miri#running-miri-on-ci
+
+MIRI_NIGHTLY=nightly-$(curl -s https://rust-lang.github.io/rustup-components-history/x86_64-unknown-linux-gnu/miri)
+echo "Installing latest nightly with Miri: $MIRI_NIGHTLY"
+rustup default "$MIRI_NIGHTLY"
+
+rustup component add miri
+cargo miri setup
+
+cargo miri test --verbose
+cargo miri test --verbose --features union
+cargo miri test --verbose --all-features